jQuery(document).ready(function($) {
    "use strict";

    var _mediaImageFilterFrame;

    $('.compat-field-media-image-filter label span').html( $('.compat-field-media-image-filter label span h3').text() );

    $('.compat-field-media-image-filter td').html('<a class="button-secondary button-large" id="media-image-filter-open-frame">' + GambitMediaImageFilterLibrary.apply_label + '</a>')
    .find('a').click(function() {
        if ( typeof _mediaImageFilterFrame === 'undefined' ) {
            _mediaImageFilterFrame = wp.media({
				button: null,
            });

            _mediaImageFilterFrame.on('open', function() {

                // Hide the insert button
                $('.media-toolbar-primary a').hide();

                // Select the current image
                wp.media.frame.state().get('selection').add( wp.media.attachment( GambitMediaImageFilterLibrary.attachment_id ) );
            });
        }

        _mediaImageFilterFrame.open();
    });
});