<div class="wrap">
<?php


	if (!isset($_REQUEST["action"])) $_REQUEST["action"] = "";
	if (!isset($_REQUEST["id"])) $_REQUEST["id"] = "";
	if (!isset($_REQUEST["animations"])) $_REQUEST["animations"] = "";
	if (!isset($_REQUEST["selector"])) $_REQUEST["selector"] = "";
	$error_found = false;
	$done = false;


	if ($_REQUEST["action"] == "save")
	{
		check_admin_referer('pieces_form');

		if ($_REQUEST['selector'] == '')
		{
			$errors[] = __('Please enter a jQuery selector string.', 'pieces-admin');
			$error_found = true;
		}

		if ($_REQUEST['animations'] == '')
		{
			$errors[] = __('Please use Pieces Configurator.', 'pieces-admin');
			$error_found = true;
		}

		if (!$error_found)
		{
			if ($_REQUEST["id"])
			{
				$sql = $wpdb->prepare(
					"UPDATE `" . WP_PIECES_TABLE . "` SET `selector` = %s, `animations` = %s WHERE id_pieces = %d",
					array($_REQUEST['selector'], $_REQUEST['animations'], $_REQUEST["id"])
				);
				$wpdb->query($sql);
			}

			else
			{
				$sql = $wpdb->prepare(
					"INSERT INTO `" . WP_PIECES_TABLE . "` SET `selector` = %s, `animations` = %s",
					array($_REQUEST['selector'], $_REQUEST['animations'])
				);
				$wpdb->query($sql);
				$_REQUEST["id"] = $wpdb->insert_id;
			}
			
			$done = true;
		}
	}



	if ($_REQUEST["id"])
	{
		$sql = $wpdb->prepare("SELECT * FROM `" . WP_PIECES_TABLE . "` WHERE `id_pieces` = %d LIMIT 1", array($_REQUEST["id"]));
		$data = $wpdb->get_row($sql, ARRAY_A);
		if ($data)
		{
			$_REQUEST["selector"] = $data["selector"];
			$_REQUEST["animations"] = $data["animations"];
		}

	}


	if ($error_found)
	{
		
?>
  <div class="error fade">
    <p><strong><?php echo $errors[0]; ?></strong></p>
  </div>
<?php

	}
	if ($error_found == false && $done)
	{

?>
	<div class="updated fade">
		<p><strong><?php echo "Item successfully saved"; ?> 
		<a href="<?php echo WP_PIECES_ADMIN_URL; ?>"><?php _e('Back to the list', 'pieces-admin'); ?></a></strong></p>
	</div>
<?php

	}


	$reps = json_decode(stripslashes($_REQUEST['animations']), true);
	$animations_str = "";
	if (!empty($reps))
		foreach($reps as $k => $v)
			if (!in_array($k, array("rows", "cols", "responsive", "masked")))
				$animations_str .= strtolower(str_replace("on", "", $k)) . ", ";
	$animations_str = substr($animations_str, 0, strlen($animations_str) - 2);

?>
<div class="form-wrap">
	<div id="icon-edit" class="icon32 icon32-posts-post"><br></div>
	<h2 style="border-bottom:1px solid #ddd; margin-bottom:30px;">
		<?php _e('Pieces', 'pieces-admin'); ?>
      &nbsp;&nbsp;&nbsp;
	
	</h2>


<script>


function getDataFromPopUp(data)
{
	jQuery("input[name=animations]").val(JSON.stringify(data));
	current_settings = data;

	var animations = "";
	if (data["onStart"] !== undefined) animations += "start, ";
	if (data["onClick"] !== undefined) animations += "click, ";
	if (data["onMouseOver"] !== undefined) animations += "mouseover, ";
	if (data["onMouseOut"] !== undefined) animations += "mouseout, ";
	if (data["onVisible"] !== undefined) animations += "visible, ";
	if (animations != "")
		animations = animations.substring(0, animations.length - 2);

	jQuery("input[name=animations_str]").val(animations);

}

var current_settings = <?php echo ($_REQUEST['animations']) ? stripslashes($_REQUEST['animations']) : "{}"; ?>;

</script>
	<form name="pieces_form" method="post" action="#">
      <input type="hidden" name="action" value="save"/>
      <input type="hidden" name="id" value="<?php echo $_REQUEST["id"] ?>">

      <h3><?php _e('Edit Animations', 'pieces-admin'); ?></h3>
      
		<label for="tag-select-gallery-group"><?php _e('Selector', 'pieces-admin'); ?></label>
		<input name="selector" type="text" style="width:300px" id="selector" value="<?php echo htmlentities(stripslashes($_REQUEST["selector"])); ?>" />
		<i><?php _e('Please enter a jQuery selector string', 'pieces-admin'); ?> (Ex: "img" or ".class_name")</i>

		<br>
		<br>
		
		<label for="tag-select-gallery-group"><?php _e('Animations', 'pieces-admin'); ?></label>
		<input name="animations" type="hidden" value="<?php echo htmlentities(stripslashes($_REQUEST["animations"])) ?>" >
		<input name="animations_str" type="text" style="width:300px" value="<?php echo $animations_str ?>" readonly>
		<div style="display:inline-block; padding-top:10px;">
			<?php add_thickbox(); ?>
			<a href="<?php echo WP_PIECES_PLUGIN_BASE_PATH; ?>/configurator.php?standalone=true&TB_iframe=true&width=950&height=800" class="thickbox add-new-h2" style="top:-1px">Open Configurator</a>
		</div>

		<br>
		<br>
		
      <p class="submit">
        <input name="publish" lang="publish" class="button add-new-h2" value="<?php _e('Update', 'pieces-admin'); ?>" type="submit" />
        <input name="publish" lang="publish" class="button add-new-h2" onclick="window.location = 'options-general.php?page=pieces-admin'" value="<?php _e('Back', 'pieces-admin'); ?>" type="button" />
      </p>
		<?php wp_nonce_field('pieces_form'); ?>
   </form>
</div>
<div style="height:5px"></div>
	<p class="description">
		<?php _e('Check official website for more information', 'pieces-admin'); ?>
		<a target="_blank" href="<?php echo WP_PIECES_SITE; ?>"><?php _e('click here', 'pieces-admin'); ?></a>
	</p>
</div>
<script>

function resizeTB()
{
	var ww = jQuery(window).width();
	var wh = jQuery(window).height();
	
	jQuery("#TB_window").width(950).height(wh-100).css("marginTop", -wh/2 + 50);
	jQuery("#TB_window iframe").width(950).height(wh-127);
	jQuery("#TB_title").width(950);
}

jQuery(document).ready(function(){
	jQuery(window).on("resize", function(){
		resizeTB();
	});
})


</script>
