<?php

	if (isset($_POST['pieces_submit']) && $_POST['pieces_submit'] == 'yes')
	{
		$id = isset($_GET['id']) ? $_GET['id'] : '0';
		
		$pieces_success = '';
		$pieces_success_msg = FALSE;
		
		$sql = $wpdb->prepare("SELECT COUNT(*) AS `count` FROM " . WP_PIECES_TABLE . " WHERE `id_pieces` = %d", array($id));
		$result = '0';
		$result = $wpdb->get_var($sql);
		
		if ($result != '1')
		{
			?><div class="error fade"><p><strong><?php _e('The selected items don\'t exist', 'pieces-admin'); ?></strong></p></div><?php
		}
		else
		{
			if (isset($_GET['ac']) && $_GET['ac'] == 'del' && isset($_GET['id']) && $_GET['id'] != '')
			{
				check_admin_referer('pieces_form_show');
				
				$sql = $wpdb->prepare("DELETE FROM `" . WP_PIECES_TABLE . "` WHERE `id_pieces` = %d LIMIT 1", $id);
				$wpdb->query($sql);
				
				$pieces_success_msg = TRUE;
				$pieces_success = __('Item successfully deleted.', 'pieces-admin');
			}
		}
		
		if ($pieces_success_msg == TRUE)
		{
			?><div class="updated fade"><p><strong><?php echo $pieces_success; ?></strong></p></div><?php
		}
	}

?>
<div class="wrap">
	<div id="icon-edit" class="icon32 icon32-posts-post"></div>
   	<h2 style="border-bottom:1px solid #ddd; margin-bottom:30px;">
			<?php _e('Pieces', 'pieces-admin'); ?>
	      &nbsp;&nbsp;&nbsp;
		
		</h2>
   <div class="tool-box">
		<?php

			$sql = "SELECT * FROM `" . WP_PIECES_TABLE . "` order by id_pieces DESC";
			$myData = $wpdb->get_results($sql, ARRAY_A);

		?>
		<form name="pieces_form" method="post">
      <table width="100%" class="widefat" id="straymanage">
			<thead>
				<tr>
					<th scope="col"><strong><?php _e('Selector', 'pieces-admin'); ?></strong></th>
					<th scope="col"><strong><?php _e('Animations', 'pieces-admin'); ?></strong></th>
				</tr>
			</thead>
			<tbody>
				<?php

					$i = 0;
					if(count($myData) > 0 )
					{
						foreach ($myData as $data)
						{
							$data['selector'] = stripslashes($data['selector']);
							$data['animations'] = (array)json_decode(stripslashes($data['animations']), true);

							$animations = "";
							foreach($data['animations'] as $k => $v)
								if (!in_array($k, array("rows", "cols", "responsive", "masked")))
									$animations .= strtolower(str_replace("on", "", $k)) . ", ";
							$animations = substr($animations, 0, strlen($animations) - 2);

							?>
							<tr class="<?php if ($i&1) { echo'alternate'; } else { echo ''; }?>">
								<td>
									<?php echo $data['selector']; ?>
									<div class="row-actions">
									<span class="edit"><a title="Edit" href="<?php echo WP_PIECES_ADMIN_URL; ?>&amp;ac=edit&amp;id=<?php echo $data['id_pieces']; ?>"><?php _e('Edit', 'pieces-admin'); ?></a> | </span>
									<span class="trash"><a onClick="javascript:pieces_delete('<?php echo $data['id_pieces']; ?>')" href="javascript:void(0);"><?php _e('Delete', 'pieces-admin'); ?></a></span> 
									</div>
								</td>
								<td>
									<?php echo $animations; ?>
								</td>
							</tr>
							<?php 
							$i = $i+1; 
						} 	
					}
					else
					{
						?><tr><td colspan="6" align="center"><?php _e('No records available.', 'pieces-admin'); ?></td></tr><?php 
					}

				?>
			</tbody>
        </table>
		<?php wp_nonce_field('pieces_form_show'); ?>
		<input type="hidden" name="pieces_submit" value="yes"/>
      </form>	
	  <div class="tablenav">
	  <h2>
	  <a class="button add-new-h2" href="<?php echo WP_PIECES_ADMIN_URL; ?>&amp;ac=edit"><?php _e('Add New', 'pieces-admin'); ?></a>
	  </h2>
	  </div>
	  <div style="height:20px"></div>
		<p class="description">
			<?php _e('Check official website for more information', 'pieces-admin'); ?>
			<a target="_blank" href="<?php echo WP_PIECES_SITE; ?>"><?php _e('click here', 'pieces-admin'); ?></a>
		</p>
	</div>
</div>
<script>

function pieces_delete(id)
{
	if(confirm("Do you want to proceed?"))
	{
		document.pieces_form.action = "options-general.php?page=pieces-admin&ac=del&id="+id;
		document.pieces_form.submit();
	}
}

</script>